> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/writer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/writer/admin-guide/byline-configuration.md).

# Byline configuration

## How to connect logged-in user byline and author set in Writer

To automatically set author to the logged-in user and also set the byline automatically you need to have a identy provider with the user set up in the user managent system, that is connected to Naviga ID. Further you will need the Concept -plugin (concept-author) as well as set up the User Byline-plugin. For the mapping between your identity provider to work, a concept needs to be created with the exact same e-mail as used in the identity provider.

If you have set the connection with the Naviga ID login to optional (`"optional": true`), you will get options to connect to the correct user in the list or to continue, by pressing **Later**.

![](/files/-LubH9KgYbA4Oorzb1wp)

If there is no user matching in the list, follow these steps to connect the user:

1. Go to **Authors** in the Sidebar.
2. Search for the user's name.
3. **Select** the author.
4. Edit the author and add or edit email so it corresponds to the identy provider´s information (which we suppose is the correct one, otherwise you have change it there)
5. Save and reload the Writer page ( or ask the user to login).
6. Select the correct user in the list in the dialog (you may need to click **Refresh list**).
7. Next time the user logs in, the author ( and Byline) will be automatically set.

### Some notes about the config options in config

The support email `supportEmail`should be set to the organization's support-contact.

If, the `optional` property is unset or set to false, the user can not continue if the `author`-concept is missing or can not be found in the list in the dialog. When it is set to`true`you get the **Later** button to proceed as described above.

The appendDataToLink is set in this plugin (from version 1.1.2), but also in Author-concept-plugin. When it is set to true in the User Byline-plugin, the output in the XML will append an articleData section to the author-link. If there is an inconsistent behavior in the XML-output, when several authors are added, check the property in the User Byline-plugin and in Author-concept-plugin.

```
{
            "id": "io.infomaker.userbyline",
            "name": "im-userbyline",
            "url": "https://plugins.writer.infomaker.io/v1/infomaker/im-userbyline/[version]/index.js",
            "style": "https://plugins.writer.infomaker.io/v1/infomaker/im-userbyline/[version]/style.css",
            "mandatory": false,
            "enabled": true,
            "data": {
                "supportEmail": "xxx", //the organizations email should be set here
                "optional": true or false,
                "appendDataToLink": true or false
            }
        },
```

**See** [**plugin documentation**](https://plugins.writer.infomaker.io/) **of User Byline-plugin and Concept-plugin for further instructions.**

\*\*\*\*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/writer/admin-guide/byline-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
